GroupInventoryHelper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.monitor.visibility.GroupInventoryHelper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.monitor.visibility
Class GroupInventoryHelper

    java.lang.Object
      org.hyperic.hq.ui.action.resource.common.monitor.visibility.InventoryHelper
          org.hyperic.hq.ui.action.resource.group.monitor.visibility.GroupInventoryHelper

    public class GroupInventoryHelper

extends InventoryHelper

A class that provides application-specific implementations of utility methods for common monitoring tasks.

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.InventoryHelper
`entityId, log`

Constructor Summary
`GroupInventoryHelper(AppdefEntityID entityId)`

Method Summary
`java.util.Map` | `getChildCounts(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext ctx, AppdefResourceValue resource)` Get from the Bizapp the numbers of children of the given resource.
`AppdefResourceType` | `getChildResourceType(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext ctx, AppdefEntityTypeID id)` Get a child resource type from the Bizapp (returns `null`).
`java.util.List` | `getChildResourceTypes(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext ctx, AppdefResourceValue resource)` Get the set of child resource types representing a resource's child resources.
`boolean` | `showPerformanceSubtabs()` Return a boolean indicating that minisubtabs should not be shown.

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.InventoryHelper
`getHelper, getSelectedChildId, getSelectedChildId, getSelectedChildType, isResourceConfigured, selectDefaultSubtab`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupInventoryHelper

    public GroupInventoryHelper(AppdefEntityID entityId)

Method Detail

### getChildResourceTypes

    public java.util.List getChildResourceTypes(javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.ServletContext ctx,
                                                AppdefResourceValue resource)
                                         throws java.lang.Exception

  Get the set of child resource types representing a resource's child resources.

  Specified by:
    `getChildResourceTypes` in class `InventoryHelper`
  Parameters:
    `request` - the http request
    `ctx` - the servlet context
    `resource` - the resource
  Throws:
    `java.lang.Exception`

### getChildResourceType

    public AppdefResourceType getChildResourceType(javax.servlet.http.HttpServletRequest request,
                                                   javax.servlet.ServletContext ctx,
                                                   AppdefEntityTypeID id)
                                            throws java.lang.Exception

  Get a child resource type from the Bizapp (returns `null`).

  Specified by:
    `getChildResourceType` in class `InventoryHelper`
  Parameters:
    `request` - the http request
    `ctx` - the servlet context
    `id` - the id of the server type
  Throws:
    `java.lang.Exception`

### getChildCounts

    public java.util.Map getChildCounts(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.ServletContext ctx,
                                        AppdefResourceValue resource)
                                 throws java.lang.Exception

  Get from the Bizapp the numbers of children of the given resource. Returns `null`, since groups have no children.

  Specified by:
    `getChildCounts` in class `InventoryHelper`
  Parameters:
    `request` - the http request
    `resource` - the appdef resource whose children we are counting
  Throws:
    `java.lang.Exception`

### showPerformanceSubtabs

    public boolean showPerformanceSubtabs()

  Return a boolean indicating that minisubtabs should not be shown.

  Overrides:
    `showPerformanceSubtabs` in class `InventoryHelper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.